#!/bin/bash

# Files go here
mkdir /stdata



# Configs go here
mkdir /stconfig
mkdir /stconfig/config

chown -R syncthing:syncthing /stdata
chmod -R 774 /stdata

chown -R syncthing:syncthing /stconfig
chmod -R 774 /stconfig

su - syncthing -c '
cd /stconfig
syncthing-relaysrv \
	-pools="" \
	-keys="/stconfig" \
	-listen=":22067" \
	-ping-interval="30s" \
	-protocol="tcp4" \
	-provided-by="Betalupi" \
	-status-srv=""' &

su - syncthing -c '
syncthing \
	-gui-address=0.0.0.0:8384 \
	-home="/stconfig/config" \
	--no-browser
'


